Deployments.ai Docs
Memory

List memory review items

GET /v1/memory/review-items · SDK listMemoryReviewItems · CLI deployments memory-review list

GET
/v1/memory/review-items

Requires memory:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 200
status?string
Value in"open""resolved"

Header Parameters

x-deployments-environment?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-organization?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

MemoryPageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/memory/review-items"
{  "items": [    {}  ],  "nextCursor": "string"}